## sloccount 2.24-1

=== debian/changelog ===
sloccount (2.24-1) unstable; urgency=low

  * New upstream release
  *  (closes: #200348)

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Sat, 29 May 2004 17:13:13 +0200

sloccount (2.23-1) unstable; urgency=low

  * New upstream release
  *     (Closes: #180597)

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Sun, 25 Apr 2004 21:20:44 +0200

sloccount (2.14-2) unstable; urgency=low

  * Fixed bug with .pp files

  * Fixed bug in php_count.c (files were not being closed)

  * Fixed bug in break_filelist (files with <CR> at the end broke the script)
  
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Fri, 23 Aug 2002 00:38:56 +0200

sloccount (2.14-1) unstable; urgency=low

  * New upstream release

  * Added patch to support .hh as a C++ header file thx to Sean Perry 
  *	(Closes: #149390)

  * Modified to consider .pp as Pascal file (there are files like this
  *	in fpc, for instance)

  * When identifying Pascal files, allow ".end" to be anywhere in the
  *	file, not necesarily at the end (in particular, allow for a 
  *	comment after the ".end", which is common in fpc)

  * Modified to check when .inc files are Pascal files (there are a lot
  *	of them in fpc)
	
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Mon, 19 Aug 2002 23:47:00 +0200

sloccount (2.08-3) unstable; urgency=low

  * Fixed doc-base control file (Closes: #128187)
  * Added a "suggests doc-base"
  
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed,  9 Jan 2002 00:25:07 +0100

sloccount (2.08-2) unstable; urgency=low

  * Fixed problem with modula3_count.
  * Added support for ML (ml_count)

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Fri,  4 Jan 2002 19:47:16 +0100

sloccount (2.08-1) unstable; urgency=low

  * New upstream release. Includes all fixes and features added in 2.05-2.

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Thu,  3 Jan 2002 23:23:13 +0000

sloccount (2.05-2) unstable; urgency=low

  * All *_count files now accept "-f filename" and "-f -"
  * compute_sloc_lang modified accordingly
  * Some small fixes here and there

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Sun, 30 Dec 2001 22:08:35 +0100

sloccount (2.05-1) unstable; urgency=low

  * Initial Release (Closes: #126503) 

 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed, 26 Dec 2001 01:08:10 +0100
