=== debian/control ===
Source: sloccount
Section: devel
Priority: optional
Maintainer: Jesus M. Gonzalez-Barahona <jgb@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.6.1

Package: sloccount
Architecture: any
Depends: ${shlibs:Depends}, perl
Suggests: doc-base
Description: Programs for counting physical source lines of code (SLOC)
 SLOCCount (pronounced "sloc-count") is a suite of programs for counting
 physical source lines of code (SLOC) in potentially large software systems
 (thus, SLOCCount is a "software metrics tool" or "software measurement tool").
 SLOCCount can count physical SLOC for a wide number of languages;
 listed alphabetically, they are: Ada, Assembly, awk, Bourne shell, C, C++,
 C shell, COBOL, C#, Expect, Fortran, Java, lex/flex, LISP (including Scheme),
 Makefile, Modula3, Objective-C, Pascal, Perl, PHP, Python, Ruby, sed, SQL,
 TCL, Yacc/Bison.
 SLOCCount can automatically determine if a file
 is a source code file or not, and if so, which language it's written in.
 As a result, you can analyze large systems completely automatically.
 SLOCCount also includes some report-generating tools
 to collect the data generated and present it in several different formats.
