=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

LINKMANPAGES= \
   ada_count \
   asm_count \
   awk_count \
   break_filelist \
   c_count \
   cobol_count \
   compute_all \
   compute_sloc_lang \
   count_extensions \
   count_unknown_ext \
   csh_count \
   exp_count \
   fortran_count \
   f90_count \
   generic_count \
   get_sloc \
   get_sloc_details \
   haskell_count \
   java_count \
   jsp_count \
   lex_count \
   lexcount1 \
   lisp_count \
   make_filelists \
   makefile_count \
   ml_count \
   modula3_count \
   objc_count \
   pascal_count \
   perl_count \
   php_count \
   print_sum \
   python_count \
   ruby_count \
   sed_count \
   sh_count \
   show_filecount \
   sql_count \
   tcl_count

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/sloccount.sgml > sloccount.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sloccount.
	$(MAKE) install PREFIX=$(CURDIR)/debian/sloccount/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman sloccount.1
	# Make symlinks for manpages
	(cd $(CURDIR)/debian/sloccount/usr/share/man/man1; \
	for file in $(LINKMANPAGES); \
	do \
	  ln -s sloccount.1.gz $$file.1.gz ;\
	done )
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
