## sloccount 2.26

=== debian/changelog ===
sloccount (2.26-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add javascript support.  Closes: #502880

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 17 Mar 2017 15:01:31 +0100

sloccount (2.26-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 11 Apr 2012 13:21:24 +0300

sloccount (2.26-5) unstable; urgency=low

  * New maintainer (Closes: #634212).
  * Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Quickfix to make multiple builds in a row work.

 -- Uwe Hermann <uwe@debian.org>  Sun, 09 Oct 2011 15:35:41 +0200

sloccount (2.26-4) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.8.0
      + debian/README.source added
    - updated my email address
    - added ${misc:Depends} to bin package depends
    - added VHDL and XML to supported language list in long description
  * debian/rules
    - added vhdl and xml manpage installation
  * debian/patches/50_bts379448_ruby_recognize.dpatch
    - changed to better match ruby shebang; thanks to Josef Spillner for the
      notice; Closes: #379448
  * debian/patches/60_bts508557_vhdl_support.dpatch
    - added VHDL support; thanks to Elie De Brauwer for the report and the
      patch; Closes: #508557
  * debian/patches/70_bts508556_xml_support.dpatch
    - added XML support; thanks to Elie De Brauwer for the report and the patch;
      Closes: #508556
  * debian/patches/20_bts462392_erlang_support.dpatch
    - added installation of "erlang_count" to upstream makefile
    - fixed "erlang_count" since comments in Erlang start with '%%'; thanks to
      George Prekas for the report and solution; Closes: #512577
  * debian/copyright
    - added copyright for packaging
    - using GPLv2 for reference to local license
  * debian/sloccount.docs
    - removed 'ChangeLog' installation, done by dh_installchangelog
  * debian/README.Debian
    - removed since no more needed and outdated

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Jan 2009 01:17:58 +0100

sloccount (2.26-3) unstable; urgency=low

  * Adopting package (Closes: #465855)
  * Acknowledging NMU (Closes: #414656)
  * debian/control
    - set myself as maintainer
    - bump Standards-Version to 3.7.3
    - added Homepage field
    - removed capitalization from short description
    - long description paragraphs reformat
    - fix spelling of Tcl in long description
    - set debhelper build-dep version to 5
    - added dpatch build-dep
    - include Erlang in long description languages list
  * debian/compat
    - added with value 5
  * debian/copyright
    - upstream author indented with 4 spaces
    - clear separation of copyright and license
    - fixed copyright notice
    - fixed license note
    - added additional copyright notices for file with different ones
    - added location of GPL license on debian system
  * debian/rules
    - removed DH_COMPAT
    - removed configure target since unused
    - removed commented dh_* calls
    - doesn't ignore clean error anymore
    - removed unneeded dh_* calls
    - integration of debian/dirs
    - added dpatch stuff
    - added manpage installation for executables using generic_count
    - added manpage installation for counting executables (Closes: #273479,
      #273477)
  * debian/watch
    - added (thanks to DEHS)
  * debian/sloccount.doc-base
    - fixed section and abstract
  * debian/dirs
    - removed
  * debian/patches/01_restore_pristine_code.dpatch
    - added to restore pristine upstream code
  * debian/patches/10_fix_manpage.dpatch
    - fix manpage hyphen useage (lintian warning)
  * debian/patches/20_bts462392_erlang_support.dpatch
    - added support to Erlang; thanks to Michael Gebetsroither; (Closes:
      #462392)
  * debian/patches/30_bts466827_enhance_bison_flex.dpatch
    - enhance bison/flex support; thanks to Ronald Aigner; (Closes: #466827)
  * debian/patches/40_bts281293_ignore_autotools_files.dpatch
    - ignore autotools generated files; thanks to Ronald Aigner; (Closes:
      #281293)
  * debian/patches/50_bts379448_ruby_recognize.dpatch
    - recognize ruby script from shebang; thanks to Ronald Aigner; (Closes:
      #379448)
  * debian/generic_count.1
    - added to be used by script calling generic_count
  * debian/X_count.1
    - added to be used by a set of SLOCCount binaries

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 23 Mar 2008 19:07:22 +0100

sloccount (2.26-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove obsolete workaround about old Perl versions having trouble with
    UTF-8 locales and LANG ending in ".UTF-8", since it makes current Perl
    barf. (Closes: #414656)

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 07 Aug 2007 14:32:54 +0200

sloccount (2.26-2) unstable; urgency=low

  * Documentation now installs in /usr/share/doc/sloccount correctly
  * This package no longer seems to be NMU (I hope)
  
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Wed, 11 Aug 2004 18:29:06 +0200

sloccount (2.26-1) unstable; urgency=low

  * New upstream release
  * Fixed some missing elements for "make clean"
  *  (closes: #173699)
  *  (closes: #159609)
  *  (closes: #251847)
  
 -- Jesus M. Gonzalez-Barahona <jgb@debian.org>  Mon, 31 May 2004 00:39:03 +0200
