=== debian/control ===
Source: sloccount
Section: devel
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: debhelper (>= 9), flex
Standards-Version: 3.9.3
Homepage: http://www.dwheeler.com/sloccount/

Package: sloccount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, perl
Suggests: doc-base
Description: programs for counting physical source lines of code (SLOC)
 SLOCCount (pronounced "sloc-count") is a suite of programs for
 counting physical source lines of code (SLOC) in potentially large
 software systems (thus, SLOCCount is a "software metrics tool" or
 "software measurement tool"). SLOCCount can count physical SLOC for
 a wide number of languages; listed alphabetically, they are: Ada,
 Assembly, awk, Bourne shell, C, C++, C shell, COBOL, C#, Erlang,
 Expect, Fortran, Java, lex/flex, LISP (including Scheme), Makefile,
 Modula3, Objective-C, Pascal, Perl, PHP, Python, Ruby, sed, SQL, Tcl,
 VHDL, XML, Yacc/Bison.
 .
 SLOCCount can automatically determine if a file is a source code file
 or not, and if so, which language it's written in. As a result, you
 can analyze large systems completely automatically. SLOCCount also
 includes some report-generating tools to collect the data generated
 and present it in several different formats.
