=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


LINKMANPAGES= \
   break_filelist \
   compute_all \
   compute_sloc_lang \
   count_extensions \
   count_unknown_ext \
   get_sloc \
   get_sloc_details \
   jsp_count \
   lexcount1 \
   make_filelists \
   pascal_count \
   print_sum \
   show_filecount \
   vhdl_count \
   xml_count

LINKMANPAGES_X = \
   asm_count \
   c_count \
   cobol_count \
   f90_count \
   fortran_count \
   haskell_count \
   java_count \
   lex_count \
   ml_count \
   modula3_count \
   objc_count \
   perl_count \
   php_count \
   python_count \
   sql_count

# These ones will use generic_count.1
LINKMANPAGES_GC= \
   ada_count \
   awk_count \
   csh_count \
   erlang_count \
   exp_count \
   lisp_count \
   makefile_count \
   ruby_count \
   sed_count \
   sh_count \
   tcl_count


build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

	@# Quickfix to make multiple builds in a row work fine.
	rm -f php_count sloccount.1.gz jsp_count xml_count lexcount1 java_count
	rm -f pascal_count ml_count c_count xml_count.c

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin

	# Add here commands to install the package into debian/sloccount.
	$(MAKE) install PREFIX=$(CURDIR)/debian/sloccount/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman		sloccount.1 debian/generic_count.1 debian/X_count.1
	# Make symlinks for manpages
	(cd $(CURDIR)/debian/sloccount/usr/share/man/man1; \
	for executables in $(LINKMANPAGES); \
	do \
	  ln -s sloccount.1.gz $$executables.1.gz ;\
	done ; \
	for executables in $(LINKMANPAGES_GC); \
	do \
	  ln -s generic_count.1.gz $$executables.1.gz ;\
	done ; \
	for executables in $(LINKMANPAGES_X); \
	do \
	  ln -s X_count.1.gz $$executables.1.gz ;\
	done )
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
