=== debian/watch ===
version=3
http://www.dwheeler.com/sloccount sloccount-(.*)\.tar\.gz debian uupdate
