## sloccount 2.26+ds

=== debian/changelog ===
sloccount (2.26+ds-2) unstable; urgency=medium

  [ Elie De Brauwer ]
  * Revised sloc2html.py
     - fix some issues
     - full Python3 support
    Closes: #508558

  [ наб ]
  * d/control: fix Vcs-* (was /duff instead of /sloccount)
  * d/p/:
      0011 Fix underquotings (accd'g to shellcheck) (Closes: #1106450)
      0012 Don't segfault when given nonexistent file (directly or via -f)
           in {c,ml,php}_count (Closes: #716179)
      0013 Make remaining shell programs real
      0014 Fix [ -a ] uses (Closes: #363069)
      0015 haskell_count: Unescaped left brace in regex is passed through in
           regex errors
      0016 make_filelists: ignore SCCS and .git (Closes: #259137)
      0017 Fix test target (sloccount cds internally)
      0018 Compress manual with gzip -9 per Policy 12.1
  * Replace override_dh_clean with d/clean
  * d/sloccount.{links,manpages}: replace d/rules overrides
  * no-manual-page [usr/bin/go_count] [usr/bin/javascript_count]

  [ Helmut Grohne ]
  * Fix FTCBFS: Override CC with a triplet-prefixed compiler.
    Closes: #1106600

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Replace Uwe Hermann by myself in Uploaders
  * d/copyright: no old FSF address
  * d/watch: version=5
  * Add rust support
    Closes: #1119974
  * Fix language patches directly instead doing this inside
    0013-Make-remaining-shell-programs-real.patch

 -- Andreas Tille <tille@debian.org>  Mon, 03 Nov 2025 18:48:51 +0100

sloccount (2.26+ds-1) unstable; urgency=medium

  * Team upload.
  * Move package to Package Salvage team
    Closes: #1078785
  * DEP5 copyright to easily cleanup tarball via Files-Excluded
  * d/watch:
     - version=4
     - point to SF where the tarball can be really downloaded
     - versionmangling
  * Add debian/README.Debian pointin to scc which is actively maintained
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix dh_installman call
  * Short dh
  * Add sloc2html to sloccount package as provided by Elie De Brauwer
    and used 2to3 to convert it to Python3.  Unfortunately this script
    seems not to be functional thus not installing it (see bug #508558)

  [ Jari Aalto ]
  * Use hardened build flags.
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
    Closes: #709013

  [ Nicolas Peugnet ]
  * add go support
    Closes: #1079361

 -- Andreas Tille <tille@debian.org>  Sat, 07 Sep 2024 14:23:18 +0200
