=== debian/control ===
--- 
+++ 
@@ -1,15 +1,26 @@
 Source: sloccount
+Standards-Version: 4.7.2
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: devel
 Priority: optional
-Maintainer: Uwe Hermann <uwe@debian.org>
-Build-Depends: debhelper (>= 9), flex
-Standards-Version: 3.9.3
-Homepage: http://www.dwheeler.com/sloccount/
+Build-Depends:
+ debhelper-compat (= 13),
+ flex,
+Vcs-Browser: https://salsa.debian.org/salvage-team/sloccount
+Vcs-Git: https://salsa.debian.org/salvage-team/sloccount.git
+Homepage: https://www.dwheeler.com/sloccount/
+Rules-Requires-Root: no
 
 Package: sloccount
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, perl
-Suggests: doc-base
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${perl:Depends},
+Suggests:
+ doc-base,
 Description: programs for counting physical source lines of code (SLOC)
  SLOCCount (pronounced "sloc-count") is a suite of programs for
  counting physical source lines of code (SLOC) in potentially large
