=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_CFLAGS_MAINT_APPEND = -Wall

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC="$(CC) -Wall $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/sloccount/usr
